Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F106999814
D43453.id132751.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
1 KB
Referenced Files
None
Subscribers
None
D43453.id132751.diff
View Options
Index: usr.bin/man/man.sh
===================================================================
--- usr.bin/man/man.sh
+++ usr.bin/man/man.sh
@@ -349,7 +349,7 @@
decho "Command: $cattool \"$catpage\" | $MANPAGER"
ret=0
else
- eval "$cattool \"$catpage\" | $MANPAGER"
+ $cattool "$catpage" | $MANPAGER
ret=$?
fi
fi
@@ -374,7 +374,7 @@
pipeline="mandoc $mandoc_args | $MANPAGER"
fi
- if ! eval "$cattool \"$manpage\" | $testline" ;then
+ if ! $cattool "$manpage" | eval "$testline"; then
if which -s groff; then
man_display_page_groff
else
@@ -387,10 +387,10 @@
fi
if [ $debug -gt 0 ]; then
- decho "Command: $cattool \"$manpage\" | $pipeline"
+ decho "Command: $cattool \"$manpage\" | eval \"$pipeline\""
ret=0
else
- eval "$cattool \"$manpage\" | $pipeline"
+ $cattool "$manpage" | eval "$pipeline"
ret=$?
fi
}
@@ -480,10 +480,10 @@
fi
if [ $debug -gt 0 ]; then
- decho "Command: $cattool \"$manpage\" | $pipeline"
+ decho "Command: $cattool \"$manpage\" | eval \"$pipeline\""
ret=0
else
- eval "$cattool \"$manpage\" | $pipeline"
+ $cattool "$manpage" | eval "$pipeline"
ret=$?
fi
}
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Thu, Jan 9, 6:45 PM (8 h, 31 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
15734696
Default Alt Text
D43453.id132751.diff (1 KB)
Attached To
Mode
D43453: man(1) does not support some special characters in filenames (double quotes and sub shell character)
Attached
Detach File
Event Timeline
Log In to Comment